## CallyRectangle CallyRectangle — Implementation of the ATK interfaces for a ClutterRectangle |

## Functions

AtkObject * | cally_rectangle_new ()

## Types and Values

struct | CallyRectangle
struct | CallyRectangleClass

## Object Hierarchy

        GObject
        ╰── AtkObject
            ╰── AtkGObjectAccessible
                ╰── CallyActor
                    ╰── CallyRectangle

## Implemented Interfaces

CallyRectangle implements AtkComponent and AtkAction.

## Description

CallyRectangle implements the required ATK interfaces of ClutterRectangle

In particular it sets a proper role for the rectangle.

## Functions

### cally_rectangle_new ()

    AtkObject *
    cally_rectangle_new (ClutterActor *actor);

Creates a new CallyRectangle for the given `actor` . `actor` must be a ClutterRectangle.

#### Parameters

actor | a ClutterActor |

#### Returns

the newly created AtkObject

Since 1.4

## Types and Values

### struct CallyRectangle

    struct CallyRectangle;

The <structname>CallyRectangle</structname> structure contains only private data and should be accessed using the provided API

Since 1.4

### struct CallyRectangleClass

    struct CallyRectangleClass {
    };

The <structname>CallyRectangleClass</structname> structure contains only private data

Since 1.4

## See Also

ClutterRectangle